﻿using System;
using System.IO;
using System.Text;

namespace CV5
{
    public static class Extensions
    {
        public static void WriteMessage(this TextWriter writer, string message)
        {
            writer.WriteLine(message.Length);
            writer.Write(message);
        }

        public static string ReadMessage(this TextReader reader)
        {
            int length = Convert.ToInt32(reader.ReadLine());
            StringBuilder sb = new StringBuilder(length);

            for (int i = 0; i < length; i++)
            {
                sb.Append((char)reader.Read());
            }

            return sb.ToString();
        }
    }
}
